EventImpl (Xerces2 Implementation)
Date: 2016-02-19

org.apache.xerces.dom.events

## Class EventImpl

- java.lang.Object
- - org.apache.xerces.dom.events.EventImpl

- All Implemented Interfaces:
    org.w3c.dom.events.Event
  Direct Known Subclasses:
    MutationEventImpl, UIEventImpl

      public class EventImpl
      extends java.lang.Object
      implements org.w3c.dom.events.Event

  EventImpl is an implementation of the basic "generic" DOM Level 2 Event object. It may be subclassed by more specialized event sets. Note that in our implementation, events are re-dispatchable (dispatch clears the stopPropagation and preventDefault flags before it starts); I believe that is the DOM's intent but I don't see an explicit statement to this effect.
  Version:
    $Id: EventImpl.java 533533 2007-04-29 17:30:08Z mrglavas $

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `bubbles`
    `boolean` | `cancelable`
    `org.w3c.dom.events.EventTarget` | `currentTarget`
    `short` | `eventPhase`
    `boolean` | `initialized`
    `boolean` | `preventDefault`
    `boolean` | `stopPropagation`
    `org.w3c.dom.events.EventTarget` | `target`
    `protected long` | `timeStamp`
    `java.lang.String` | `type`

    - ### Fields inherited from interface org.w3c.dom.events.Event

      `AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getBubbles()` Used to indicate whether or not an event is a bubbling event.
    `boolean` | `getCancelable()` Used to indicate whether or not an event can have its default action prevented.
    `org.w3c.dom.events.EventTarget` | `getCurrentTarget()` Used to indicate the `EventTarget` whose `EventListeners` are currently being processed.
    `short` | `getEventPhase()` Used to indicate which phase of event flow is currently being evaluated.
    `org.w3c.dom.events.EventTarget` | `getTarget()` Used to indicate the `EventTarget` to which the event was originally dispatched.
    `long` | `getTimeStamp()` Used to specify the time (in milliseconds relative to the epoch) at which the event was created.
    `java.lang.String` | `getType()` The name of the event (case-insensitive).
    `void` | `initEvent(java.lang.String eventTypeArg, boolean canBubbleArg, boolean cancelableArg)` The DOM doesn't deal with constructors, so instead we have an initializer call to set most of the read-only fields.
    `void` | `preventDefault()` Prevents any default processing built into the target node from occurring.
    `void` | `stopPropagation()` Causes exit from in-progress event dispatch before the next currentTarget is selected.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          public java.lang.String type

    - #### target

          public org.w3c.dom.events.EventTarget target

    - #### currentTarget

          public org.w3c.dom.events.EventTarget currentTarget

    - #### eventPhase

          public short eventPhase

    - #### initialized

          public boolean initialized

    - #### bubbles

          public boolean bubbles

    - #### cancelable

          public boolean cancelable

    - #### stopPropagation

          public boolean stopPropagation

    - #### preventDefault

          public boolean preventDefault

    - #### timeStamp

          protected long timeStamp

  - ### Constructor Detail

    - #### EventImpl

          public EventImpl()

  - ### Method Detail

    - #### initEvent

          public void initEvent(java.lang.String eventTypeArg,
                       boolean canBubbleArg,
                       boolean cancelableArg)

      The DOM doesn't deal with constructors, so instead we have an initializer call to set most of the read-only fields. The others are set, and reset, by the event subsystem during dispatch.

      Note that init() -- and the subclass-specific initWhatever() calls -- may be reinvoked. At least one initialization is required; repeated initializations overwrite the event with new values of their parameters.

      Specified by:
        `initEvent` in interface `org.w3c.dom.events.Event`
      Parameters:
        `eventTypeArg` - Specifies the event type. This type may be any event type currently defined in this specification or a new event type.. The string must be an XML name. Any new event type must not begin with any upper, lower, or mixed case version of the string "DOM". This prefix is reserved for future DOM event sets. It is also strongly recommended that third parties adding their own events use their own prefix to avoid confusion and lessen the probability of conflicts with other new events.
        `canBubbleArg` - Specifies whether or not the event can bubble.
        `cancelableArg` - Specifies whether or not the event's default action can be prevented.

    - #### getBubbles

          public boolean getBubbles()

      Description copied from interface: `org.w3c.dom.events.Event`
      Used to indicate whether or not an event is a bubbling event. If the event can bubble the value is true, else the value is false.
      Specified by:
        `getBubbles` in interface `org.w3c.dom.events.Event`
      Returns:
        true iff this Event is of a class and type which supports bubbling. In the generic case, this is True.

    - #### getCancelable

          public boolean getCancelable()

      Description copied from interface: `org.w3c.dom.events.Event`
      Used to indicate whether or not an event can have its default action prevented. If the default action can be prevented the value is true, else the value is false.
      Specified by:
        `getCancelable` in interface `org.w3c.dom.events.Event`
      Returns:
        true iff this Event is of a class and type which (a) has a Default Behavior in this DOM, and (b)allows cancellation (blocking) of that behavior. In the generic case, this is False.

    - #### getCurrentTarget

          public org.w3c.dom.events.EventTarget getCurrentTarget()

      Description copied from interface: `org.w3c.dom.events.Event`
      Used to indicate the `EventTarget` whose `EventListeners` are currently being processed. This is particularly useful during capturing and bubbling.
      Specified by:
        `getCurrentTarget` in interface `org.w3c.dom.events.Event`
      Returns:
        the Node (EventTarget) whose EventListeners are currently being processed. During capture and bubble phases, this may not be the target node.

    - #### getEventPhase

          public short getEventPhase()

      Description copied from interface: `org.w3c.dom.events.Event`
      Used to indicate which phase of event flow is currently being evaluated.
      Specified by:
        `getEventPhase` in interface `org.w3c.dom.events.Event`
      Returns:
        the current processing phase for this event -- CAPTURING_PHASE, AT_TARGET, BUBBLING_PHASE. (There may be an internal DEFAULT_PHASE as well, but the users won't see it.)

    - #### getTarget

          public org.w3c.dom.events.EventTarget getTarget()

      Description copied from interface: `org.w3c.dom.events.Event`
      Used to indicate the `EventTarget` to which the event was originally dispatched.
      Specified by:
        `getTarget` in interface `org.w3c.dom.events.Event`
      Returns:
        the EventTarget (Node) to which the event was originally dispatched.

    - #### getType

          public java.lang.String getType()

      Description copied from interface: `org.w3c.dom.events.Event`
      The name of the event (case-insensitive). The name must be an XML name.
      Specified by:
        `getType` in interface `org.w3c.dom.events.Event`
      Returns:
        event name as a string

    - #### getTimeStamp

          public long getTimeStamp()

      Description copied from interface: `org.w3c.dom.events.Event`
      Used to specify the time (in milliseconds relative to the epoch) at which the event was created. Due to the fact that some systems may not provide this information the value of `timeStamp` may be not available for all events. When not available, a value of 0 will be returned. Examples of epoch time are the time of the system start or 0:0:0 UTC 1st January 1970.
      Specified by:
        `getTimeStamp` in interface `org.w3c.dom.events.Event`

    - #### stopPropagation

          public void stopPropagation()

      Causes exit from in-progress event dispatch before the next currentTarget is selected. Replaces the preventBubble() and preventCapture() methods which were present in early drafts; they may be reintroduced in future levels of the DOM.
      Specified by:
        `stopPropagation` in interface `org.w3c.dom.events.Event`

    - #### preventDefault

          public void preventDefault()

      Prevents any default processing built into the target node from occurring.
      Specified by:
        `preventDefault` in interface `org.w3c.dom.events.Event`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.